Bug Hunting Session
Bug 86820 - Draw: Crash when trying to insert a symbol from the drawing toolbar
Summary: Draw: Crash when trying to insert a symbol from the drawing toolbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.3.3.2 release
Hardware: Other All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3 ta...
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2014-11-28 14:47 UTC by tryx
Modified: 2014-12-09 10:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
OSX 4.3.4.1 backtrace (82.64 KB, text/plain)
2014-11-28 15:19 UTC, Matthew Francis
Details
bt with debug symbols (4.50 KB, text/plain)
2014-11-28 22:02 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tryx 2014-11-28 14:47:25 UTC
Hey there,

I found the bug in the Draw application.

1. Open Draw.
2. Then rightclick on one of the symbols from the drawing toolbar (i.e. the circle) and choose 'Insert'.
 -> Unfortunately the program crashes.

It would be great if you can fix that, thank you very much for your work!

OS: Win8
Version: 4.3.4.1
Build ID: bc356b2f991740509f321d70e4512a6a54c5f243
Comment 1 Matthew Francis 2014-11-28 14:58:35 UTC
Confirmed on OSX and Linux, 4.3.4.1 and master

-> NEW
Comment 2 Matthew Francis 2014-11-28 15:19:32 UTC
Created attachment 110167 [details]
OSX 4.3.4.1 backtrace
Comment 3 Julien Nabet 2014-11-28 22:02:15 UTC
Created attachment 110207 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.

I attached bt with symbols.
Comment 4 Julien Nabet 2014-11-28 22:04:35 UTC
I could reproduce this too with 4.3.3
Comment 5 Julien Nabet 2014-11-28 22:21:33 UTC
Andrzej: searching in git history of framework/source/uielement/toolbarmanager.cxx (present in bt), I noticed the commit http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ae89d189200c1e351a396a3f02612b84a69985f, I thought you might be interested in this tracker.
Comment 6 Commit Notification 2014-12-08 12:12:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eae0dda3e2eddb55b4e2032136541c15ba87fa09

Resolves: fdo#86820 executing toolbar menu entry can destroy menu

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-12-08 12:14:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cefe3c60f29b021f621dc6045467519e3a56aa6a&h=libreoffice-4-4

Resolves: fdo#86820 executing toolbar menu entry can destroy menu

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-12-09 10:21:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b7c6316a5dff542b6aadd422e353e3623ebce46&h=libreoffice-4-3

Resolves: fdo#86820 executing toolbar menu entry can destroy menu

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.